Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.binding
Class AbstractSyntheticBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding

All Implemented Interfaces:
  BindingUpdatable, FullBinding

    public abstract class AbstractSyntheticBinding

extends AbstractFullBinding

Created by IntelliJ IDEA. User: Danno.Ferrin Date: Jun 18, 2008 Time: 1:41:14 PM

Field Summary

Fields inherited from class org.codehaus.groovy.binding.AbstractFullBinding
`converter, reverseConverter, sourceBinding, targetBinding, validator`

Constructor Summary
`AbstractSyntheticBinding(PropertyBinding source, TargetBinding target, Class klass, String propertyName)`

Method Summary
`void` | `bind()` Causes automatic updating of bound values to be turned on.
`void` | `rebind()` Causes the current bindings to be reset.
`void` | `setSourceBinding(SourceBinding source)`
`void` | `setTargetBinding(TargetBinding target)`
`protected abstract void` | `syntheticBind()`
`protected abstract void` | `syntheticUnbind()`
`void` | `unbind()` Causes automatic updating of bound values to be turned off.

Methods inherited from class org.codehaus.groovy.binding.AbstractFullBinding
`getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setValidator, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSyntheticBinding

    public AbstractSyntheticBinding(PropertyBinding source,
                                    TargetBinding target,
                                    Class klass,
                                    String propertyName)

Method Detail

### bind

    public void bind()

  Description copied from interface: `BindingUpdatable`
  Causes automatic updating of bound values to be turned on. This is idempotent between calls to unbind and rebind; i.e. multiple calls to bind will have only the effect of the first call.

### unbind

    public void unbind()

  Description copied from interface: `BindingUpdatable`
  Causes automatic updating of bound values to be turned off. This is idempotent between calls to bind and rebind; i.e. multiple calls to unbind will have only the effect of the first call.

### syntheticBind

    protected abstract void syntheticBind()

### syntheticUnbind

    protected abstract void syntheticUnbind()

### rebind

    public void rebind()

  Description copied from interface: `BindingUpdatable`
  Causes the current bindings to be reset. If the binding is not bound, it is a no-op. If the binding is bound, it will be turned off, then turned on against current values.

### setSourceBinding

    public void setSourceBinding(SourceBinding source)

  Specified by:
    `setSourceBinding` in interface `FullBinding`
  Overrides:
    `setSourceBinding` in class `AbstractFullBinding`

### setTargetBinding

    public void setTargetBinding(TargetBinding target)

  Specified by:
    `setTargetBinding` in interface `FullBinding`
  Overrides:
    `setTargetBinding` in class `AbstractFullBinding`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD